document.getElementById('profileForm').addEventListener('submit', function(e) {
  e.preventDefault();
  
  const q1 = parseInt(document.getElementById('q1').value);
  const q2 = parseInt(document.getElementById('q2').value);
  const q3 = parseInt(document.getElementById('q3').value);
  
  const totalScore = q1 + q2 + q3;
  const maxScore = 12;
  const percentage = Math.round((totalScore / maxScore) * 100);
  
  let ranking;
  if (percentage >= 90) {
    ranking = "Top 1% of Industry Leaders";
  } else if (percentage >= 75) {
    ranking = "Top 10% of Industry Leaders";
  } else if (percentage >= 50) {
    ranking = "Top 25% of Industry Leaders";
  } else {
    ranking = "Emerging Business";
  }
  
  document.getElementById('score').textContent = `Your Score: ${percentage}%`;
  document.getElementById('ranking').textContent = ranking;
  document.getElementById('result').classList.remove('hidden');
});